# Interface StaticDataSourceMetadata<Data>

interface StaticDataSourceMetadata<Data = any> {
data?: StaticDataSourceData<Data>;
id: string;
restore?: boolean;
[key: string]: any;
}

#### Type Parameters

- Data = any

#### Hierarchy (View Summary)

- BaseDataSourceMetadata
  - StaticDataSourceMetadata

#### Indexable

- [key: string]: any

- Defined in packages/angular/data-source/src/lib/static.data-source.ts:37

#####
Index

### Properties

data?
id
restore?

##
Properties

### `Optional` data

data?: StaticDataSourceData<Data>

- Defined in packages/angular/data-source/src/lib/static.data-source.ts:39

### id

id: string

Inherited from BaseDataSourceMetadata.id

- Defined in packages/angular/definition/src/lib/definition.metadata.ts:9

### `Optional` restore

restore?: boolean

Indicates weather the data source should restore the last value from local storage

Inherited from BaseDataSourceMetadata.restore

- Defined in packages/angular/data-source/src/lib/base.data-source.ts:58